function p.__get_is_solid()
    return true
end

function p.__get_tex()
    return "block_kitchen"
end

function p.__main()
    set_default_block("r_kitchen")

    std.create_tube(3, "y", "e")
    local msg_str = "Welcome to the tutorial to create your own package! "
        .. "If this is your first time here, then the world data "
        .. "is coming from the directory "
        .. "\"Data/Packages/package_tutorial1\".\n\n"
        .. "^xff0000For saftey, you may want to copy "
        .. "the package_tutorial directory "
        .. "to something like \"Data/Packages/myworld\" "
        .. "and create a new game using that \"myworld\" package.^!\n\n"
        .. "In any case, we will refer to \"this package directory\" "
        .. "(which has the data for \"this world\")."
    add_bent_s(7,13,7,"bent_base_txt",msg_str)
    
    std.create_half_tube(3, "x_pos", "e")
    msg_str = "This package directory has the file "
        .. "\"dependencies.txt\". "
        .. "That file specifies the other packages on which this one "
        .. "depends. This allows you to use textures, sounds, "
        .. "etc from other packages. "
        .. "You can read more about this in the dependencies "
        .. "section of the FBW Creation Manual.\n\n"
        .. "^xff0000It is NECESSARY for your package to depend "
        .. "on the \"base\" package.\n\n"
        .. "If you want to give your package to other people, "
        .. "then it should ONLY depend on the \"base\" package.^! "
        .. "Having other dependencies is for "
        .. "prototyping and experimentation. "
    add_bent_s(13,7,7,"bent_base_txt",msg_str)
end
